Subject: Re: [PATCHv3 iproute2-next 0/5] iproute2: add libbpf support

From: David Ahern <[email-masked]>
Date: Mon, 9 Nov 2020 21:09:44 -0700

On 11/8/20 6:45 PM, Alexei Starovoitov wrote:
> 
> I don't understand why on one side you're pointing out existing quirkiness with
> bpf usability while at the same time arguing to make it _less_ user friendly

I believe you have confused my comments with others. My comments have
focused on one aspect: The insistence by BPF maintainers that all code
bases and users constantly chase latest and greatest versions of
relevant S/W to use BPF - though I believe a lot of the tool chasing
stems from BTF. I am fairly certain I have been consistent in that theme
within this thread.

> when myself, Daniel, Andrii explained in detail what libbpf does and how it
> affects user experience?
> 
> The analogy of libbpf in iproute2 and libbfd in gdb is that both libraries

Your gdb / libbfd analogy misses the mark - by a lot. That analogy is
relevant for bpftool, not iproute2.

iproute2 can leverage libbpf for 3 or 4 tc modules and a few xdp hooks.
That is it, and it is a tiny percentage of the functionality in the package.